For the complete documentation index, see llms.txt. This page is also available as Markdown.

List payments for settlement

A payment belongs to an order settlement with payment method INVOICE. Normally invoices are paid via bank and the payments imported or also registered by hand. But if a customer pays the invoice by another method in the store (e.g. cash or card), it is made as a settlement on a new order without any lines, and then shown as paymentSettlement.

Required permissions: PAYMENT,SALES_ORDER

get
/tenants/{tenantUid}/stores/{storeUid}/orders/{orderUid}/settlements/{settlementUid}/payments
Authorizations
AuthorizationstringRequired

Access token recevied after user login with a deviceToken

Path parameters
tenantUidstringRequired

Reference to a tenant.

Pattern: ^[A-Za-z0-9-_]+
orderUidstringRequired

Reference to an Order.

Pattern: ^[A-Za-z0-9-_]+
settlementUidstringRequired

Reference to a settlement on an order.

Pattern: ^[A-Za-z0-9-_]+
storeUidstringRequired

Reference to a Store.

Pattern: ^[A-Za-z0-9-_]+
Responses
200

Example response

application/json
get/tenants/{tenantUid}/stores/{storeUid}/orders/{orderUid}/settlements/{settlementUid}/payments
GET /v2/tenants/{tenantUid}/stores/{storeUid}/orders/{orderUid}/settlements/{settlementUid}/payments HTTP/1.1
Host: api.flowretail.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
200

Example response

{
  "items": [
    {
      "paymentUid": "text",
      "amount": 1,
      "paidAt": "2026-01-01T00:00:00.000Z",
      "externalReference": "text",
      "paymentSettlementUid": "text",
      "orderReceiptUid": "text",
      "createdAt": "2026-01-01T00:00:00.000Z",
      "createdBy": "text"
    }
  ]
}

Last updated

Was this helpful?